% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CDFtestingSuite.R
\name{DerivDiff}
\alias{DerivDiff}
\title{Determine how well a single DPCDF matches the shape of its data.}
\usage{
DerivDiff(Y, est, ...)
}
\arguments{
\item{Y}{The vector output of a non-differentially private CDF
computation (cumulative count bins)}

\item{est}{The vector output of a differentially private CDF
computation (cumulative count bins)}

\item{...}{Optionally add additional parameters. This is primarily used to allow automated
execution of varied diagnostic functions.}
}
\value{
A single so-called derivative score; lower scores suggest
   better performance
}
\description{
Calculates a score for how much the DP-CDF's slope varies from
   the true CDF's slope at various resolutions.
}
\examples{
DerivDiff(c(.1,.2,.3,.4,.5,.6,.7,.8,.9,1),c(.1,.2,.3,.3,.3,.3,.3,.3,.4,1))
}

